import React from "react";
import Container from "react-bootstrap/Container";
import Row from "react-bootstrap/Row";
import Col from "react-bootstrap/Col";

import AccountList from "./AccountList";
import MailboxList from "./MailboxList";
import Client from "./client/Client";
import { AccountIdMap, IAccount } from "./client/types";

type TopProps = {
	account: IAccount | null;
	accounts: AccountIdMap;
	client: Client;
};

const AppLayout: React.FC<TopProps> = (props) => {
	return (
		<Container>
			<Row>
				<Col>
					<AccountList account={props.account} accounts={props.accounts} />
				</Col>
				<Col></Col>
				<Col></Col>
			</Row>
			<Row>
				<Col>
					<MailboxList account={props.account} client={props.client} />
				</Col>
			</Row>
		</Container>
	);
};
export default AppLayout;
